Loading...
Searching...
No Matches
COutputStreamBuffer Class Reference
Inheritance diagram for COutputStreamBuffer:
[legend]

## Public Member Functions

| COutputStreamBuffer (std::size_t bufferSize=512)
| COutputStreamBuffer (const COutputStreamBuffer &)=delete
COutputStreamBuffer & | operator= (const COutputStreamBuffer &)=delete
void | open (const std::string &filename, std::ios_base::openmode mode)
void | close ()
bool | is_open ()

## Member Function Documentation

## open()

void COutputStreamBuffer::open | ( | const std::string & | filename,
|  | std::ios_base::openmode | mode )

Open Stream Buffer for writing

Parameters

  filename |
  mode | one of: std::ios_base::out - Open for writing, std::ios_base::app - Append to file

The documentation for this class was generated from the following files:

- src/common/resources/outputstreambuffer.h
- src/common/resources/outputstreambuffer.cpp